## 编译说明

编译工具：Xcode 8.1 正式版

### SocketIO.framework

socket.io swift3 版本

源码版本：

```ruby
{
    :git => 'https://github.com/socketio/socket.io-client-swift.git',
    :tag => '8.1.2'
    # 2016.11.28
}
```

## 常见问题

### 1. Xcode 8.x 中登陆 IM 时崩溃

如果是使用 maxleap-im-ios.zip 中提供的 `SocketIO.framework`，可能是兼容性问题。
**Xcode 8 不兼容使用 swift3 代码编译的二进制代码，这会出现这样一个问题：使用 Xcode 8.0 编译的 `SocketIO.framework` 在 Xcode 8.1 或者其他版本上使用就会出现一些意外。**

解决办法有两个：
1. 直接在项目中使用 socket.io 官方源码 [socket.io-client-swift](https://github.com/socketio/socket.io-client-swift) 。
2. 从 im 1.4.0 版本开始，我们会附带使用 [socket.io-client-cpp](https://github.com/socketio/socket.io-client-cpp) 源码编译的 `SocketIOCPP.framework` 以供选择

### 2. 运行时出现 image not found 错误

出现 `SocketIO image not found` 或者 `SocketIOClientSwift image not found`

需要集成 SocketIO.framework (Xcode 8.x 编译) 或者 SocketIOClientSwift.framework (Xcode 7.x 编译)

也可能是集成了不兼容当前 Xcode 的 SockeIO.framework 引起的